Index: code/branches/buildsystem2/src/util/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/util/CMakeLists.txt	(revision 2638)
+++ code/branches/buildsystem2/src/util/CMakeLists.txt	(revision 2639)
@@ -25,5 +25,4 @@
   Exception.h
   ExprParser.h
-  Integers.h
   Math.h
   MathConvert.h
@@ -54,7 +53,13 @@
 #SET(UTIL_FILES ${UTIL_SRC_FILES} ${UTIL_HDR_FILES})
 GENERATE_SOURCE_GROUPS(${UTIL_FILES})
-# Also add OrxonoxConfig.h to have it least somewhere in the IDE
-LIST(APPEND UTIL_FILES ${CMAKE_BINARY_DIR}/src/OrxonoxConfig.h)
-SOURCE_GROUP("" FILES ${CMAKE_BINARY_DIR}/src/OrxonoxConfig.h)
+# Also add OrxonoxConfig to have it least somewhere in the IDE
+LIST(APPEND UTIL_FILES
+  ${CMAKE_BINARY_DIR}/src/OrxonoxConfig.h
+  ${CMAKE_SOURCE_DIR}/src/OrxonoxConfig.h.in
+)
+SOURCE_GROUP("" FILES
+  ${CMAKE_BINARY_DIR}/src/OrxonoxConfig.h
+  ${CMAKE_SOURCE_DIR}/src/OrxonoxConfig.h.in
+)
 
 IF(NOT GCC_SYSTEM_HEADER_SUPPORT)
Index: code/branches/buildsystem2/src/util/CRC32.h
===================================================================
--- code/branches/buildsystem2/src/util/CRC32.h	(revision 2638)
+++ code/branches/buildsystem2/src/util/CRC32.h	(revision 2639)
@@ -32,5 +32,4 @@
 #include "UtilPrereqs.h"
 #include <iostream>
-#include "Integers.h"
 
 namespace orxonox
Index: code/branches/buildsystem2/src/util/Clipboard.cc
===================================================================
--- code/branches/buildsystem2/src/util/Clipboard.cc	(revision 2638)
+++ code/branches/buildsystem2/src/util/Clipboard.cc	(revision 2639)
@@ -36,5 +36,5 @@
 #include "Clipboard.h"
 
-#if ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32
+#ifdef ORXONOX_PLATFORM_WINDOWS
 
 /////////////
@@ -104,5 +104,5 @@
 }
 
-#else /* ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32 */
+#else /* ORXONOX_PLATFORM_WINDOWS */
 
 /////////////
@@ -135,3 +135,3 @@
 }
 
-#endif /* ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32 */
+#endif /* ORXONOX_PLATFORM_WINDOWS */
Index: code/branches/buildsystem2/src/util/Convert.h
===================================================================
--- code/branches/buildsystem2/src/util/Convert.h	(revision 2638)
+++ code/branches/buildsystem2/src/util/Convert.h	(revision 2639)
@@ -50,5 +50,5 @@
 // This is however exactly what convertValue does, so we need to suppress these warnings.
 // They only occur when using the ImplicitConversion template.
-#if ORXONOX_COMPILER == ORXONOX_COMPILER_GNUC
+#ifdef ORXONOX_COMPILER_GCC
 #  pragma GCC system_header
 #endif
@@ -63,5 +63,5 @@
 
 // disable warnings about possible loss of data
-#if ORXONOX_COMPILER == ORXONOX_COMPILER_MSVC
+#ifdef ORXONOX_COMPILER_MSVC
 #  pragma warning(push)
 #  pragma warning(disable:4244)
@@ -88,5 +88,5 @@
 }
 
-#if ORXONOX_COMPILER == ORXONOX_COMPILER_MSVC
+#ifdef ORXONOX_COMPILER_MSVC
 #  pragma warning(pop)
 #endif
Index: code/branches/buildsystem2/src/util/Integers.h
===================================================================
--- code/branches/buildsystem2/src/util/Integers.h	(revision 2638)
+++ 	(revision )
@@ -1,55 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-/**
- @file
- @brief
-    Defines fixed with integers
- */
-
-#ifndef _Integers_H__
-#define _Integers_H__
-
-#include "UtilPrereqs.h"
-
-/* Define fixed with integers
- * Note: This is not in a namespace to make it available everywhere!*/
-#if ORXONOX_COMPILER == ORXONOX_COMPILER_MSVC
-typedef __int8            int8_t;
-typedef __int16           int16_t;
-typedef __int32           int32_t;
-typedef __int64           int64_t;
-typedef unsigned __int8   uint8_t;
-typedef unsigned __int16  uint16_t;
-typedef unsigned __int32  uint32_t;
-typedef unsigned __int64  uint64_t;
-#elif ORXONOX_COMPILER == ORXONOX_COMPILER_GCC
-# include "inttypes.h"
-#endif
-
-#endif /* _Integers_H__ */
Index: code/branches/buildsystem2/src/util/Math.h
===================================================================
--- code/branches/buildsystem2/src/util/Math.h	(revision 2638)
+++ code/branches/buildsystem2/src/util/Math.h	(revision 2639)
@@ -52,5 +52,5 @@
 
 //Get around Windows hackery
-#if ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32
+#ifdef ORXONOX_PLATFORM_WINDOWS
 #  ifdef max
 #    undef max
Index: code/branches/buildsystem2/src/util/SignalHandler.cc
===================================================================
--- code/branches/buildsystem2/src/util/SignalHandler.cc	(revision 2638)
+++ code/branches/buildsystem2/src/util/SignalHandler.cc	(revision 2639)
@@ -45,5 +45,5 @@
 }
 
-#if ORXONOX_PLATFORM == ORXONOX_PLATFORM_LINUX
+#ifdef ORXONOX_PLATFORM_LINUX
 
 #include <wait.h>
@@ -358,3 +358,3 @@
 }
 
-#endif /* ORXONOX_PLATFORM == ORXONOX_PLATFORM_LINUX */
+#endif /* ORXONOX_PLATFORM_LINUX */
Index: code/branches/buildsystem2/src/util/SignalHandler.h
===================================================================
--- code/branches/buildsystem2/src/util/SignalHandler.h	(revision 2638)
+++ code/branches/buildsystem2/src/util/SignalHandler.h	(revision 2639)
@@ -45,5 +45,5 @@
 }
 
-#if ORXONOX_PLATFORM == ORXONOX_PLATFORM_LINUX
+#ifdef ORXONOX_PLATFORM_LINUX
 #include <signal.h>
 
@@ -97,5 +97,5 @@
 }
 
-#else /* ORXONOX_PLATFORM == ORXONOX_PLATFORM_LINUX */
+#else /* ORXONOX_PLATFORM_LINUX */
 
 namespace orxonox
@@ -114,5 +114,5 @@
 }
 
-#endif /* ORXONOX_PLATFORM == ORXONOX_PLATFORM_LINUX */
+#endif /* ORXONOX_PLATFORM_LINUX */
 
 #endif /* _SignalHandler_H__ */
Index: code/branches/buildsystem2/src/util/Sleep.h
===================================================================
--- code/branches/buildsystem2/src/util/Sleep.h	(revision 2638)
+++ code/branches/buildsystem2/src/util/Sleep.h	(revision 2639)
@@ -38,5 +38,5 @@
 #include "UtilPrereqs.h"
 
-#if ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32
+#ifdef ORXONOX_PLATFORM_WINDOWS
 #include <winbase.h>
 
Index: code/branches/buildsystem2/src/util/UtilPrereqs.h
===================================================================
--- code/branches/buildsystem2/src/util/UtilPrereqs.h	(revision 2638)
+++ code/branches/buildsystem2/src/util/UtilPrereqs.h	(revision 2639)
@@ -40,5 +40,5 @@
 // Shared library settings
 //-----------------------------------------------------------------------
-#if (ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32) && !defined( UTIL_STATIC_BUILD )
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined( UTIL_STATIC_BUILD )
 #  ifdef UTIL_SHARED_BUILD
 #    define _UtilExport __declspec(dllexport)
